
textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}


// never used
//
//textures/common/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}

textures/common/full_clip // silly shader, use weapclip instead
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/hint // should NOT use surfaceparm hint.. strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}

textures/common/invisible // solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap			
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}

textures/common/mirror2
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/sfx/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/common/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}


textures/common/noimpact
{
	qer_editorimage textures/common/nolightmap.tga
	surfaceparm noimpact
}

textures/common/nolightmap
{
	surfaceparm nolightmap
}

textures/common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/common/portal
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/terrain
{
	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/terrain2
{
	q3map_terrain
	qer_editorimage textures/common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/timportal
{
	qer_editorimage textures/common/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/common/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//

textures/common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}
models/mapobjects/GR_trees/tree
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree3
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree4
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree4.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadel
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadel.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnow
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnow.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnowr
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnowr.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnowb
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnowb.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnowg
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnowg.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/kerzeblau
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/kerzeblau.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/kerzerot
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/kerzerot.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree5
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree5.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree6
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree6.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/cmm_cabinet_arcade/urtscreen
{
	qer_editorImage models/mapobjects/cmm_cabinet_arcade/urtscreen.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 200
	surfaceparm trans
	q3map_lightimage models/mapobjects/cmm_cabinet_arcade/urtscreen.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/cmm_cabinet_arcade/urtscreen.tga
		rgbGen identity

	}
}

textures/monitor
{
	qer_editorimage textures/monitor.tga
	q3map_lightimage textures/monitor_colour.tga
	q3map_surfacelight 1200
	portal
	{
		map textures/monitor_colour.tga
		blendFunc filter
		depthWrite
	}
	{
		map textures/monitor_colour.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}
	{
		map textures/monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/nb-sign
{
qer_editorimage textures/nb-sign.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/nb-sign.tga
blendfunc filter
}
}

textures/tng-dirt1
{
qer_editorimage textures/tng-dirt1.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-dirt1.tga
blendfunc filter
}
}
textures/tng-ground
{
qer_editorimage textures/tng-ground.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-ground.tga
blendfunc filter
}
}
textures/tng-dirt2
{
qer_editorimage textures/tng-dirt2.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-dirt2.tga
blendfunc filter
}
}
models/mapobjects/phone/vv_payphone1_wire
{
        qer_editorimage models/mapobjects/phone/vv_payphone1_wire.tga
        qer_alphafunc greater 0.5
        nomipmaps
        {
                map models/mapobjects/phone/vv_payphone1_wire.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
textures/tng-cyber
{
qer_editorimage textures/tng-cyber.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-cyber.tga
blendfunc filter
}
}

textures/tng-infinit
{
qer_editorimage textures/tng-infinit.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-infinit.jpg
blendfunc filter
}
}

textures/tng-grizz
{
qer_editorimage textures/tng-grizz.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-grizz.tga
blendfunc filter
}
}

textures/tng-mumpf
{
qer_editorimage textures/tng-mumpf.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-mumpf.tga
blendfunc filter
}
}

textures/tng-franky
{
qer_editorimage textures/tng-franky.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-franky.tga
blendfunc filter
}
}

textures/tng-bear
{
qer_editorimage textures/tng-bear.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-bear.tga
blendfunc filter
}
}

textures/tng-masi
{
qer_editorimage textures/tng-masi.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-masi.tga
blendfunc filter
}
}

textures/tng-mumpf
{
qer_editorimage textures/tng-mumpf.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-mumpf.tga
blendfunc filter
}
}

textures/tng-red
{
qer_editorimage textures/tng-red.jpg
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-red.jpg
blendfunc filter
}
}

textures/tng-reaper
{
qer_editorimage textures/tng-reaper.tga
polygonOffset
nomipmaps
nopicmip
surfaceparm trans
{
map textures/tng-reaper.tga
blendfunc filter
}
}